Bug 1156501 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1072972 879233 1059638 1194222 1225501 1233770
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 15:12 UTC by Rahul Sundaram
Modified: 2018-04-04 11:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 11:17:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 15:12:45 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from  yum/yum-utils to dnf. Thanks!

Comment 1 Daniel Mach 2016-01-18 10:01:54 UTC
DNF support is under development for a long time.
Latest code lives in following branch:
https://pagure.io/fork/dmach/pungi/branch/gather-dnf

We're using several ugly hacks (custom in-memory caching) to workaround poor query performance in hawkey.
Is it possible to fix the performance problems before we can proceed with migrating Pungi to DNF?

Following bugs are related to Pungi:
bug#879233
bug#1059638
bug#1072972
bug#1194222
bug#1225501
bug#1233770

Comment 2 Lubomír Sedlář 2018-04-04 11:17:25 UTC
Current Fedora composes all use DNF backend for depsolving.


Note You need to log in before you can comment on or make changes to this bug.